MONGOC_CLIENT_GET_SERVER_DESCRIPTION(3)

NAME
mongoc_client_get_server_description - mongoc_client_get_server_description()

SYNOPSIS

mongoc_server_description_t *
mongoc_client_get_server_description (mongoc_client_t *client,
                                      uint32_t server_id);

Get information about the server specified by server_id.

PARAMETERS

•   client: A mongoc_client_t.

•   server_id: An opaque id specifying the server.

RETURNS

A mongoc_server_description_t that must be freed with mongoc_server_description_destroy. If the server is no longer in the topology, returns NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc